POST /documentprocessing/document/convert
POST https://example.com/documentprocessing/document/convert
Description
Converts a document to another supported format.
Examples
The following sample converts a DOC document to a PDF document.
# Request:
curl POST 'https://trial.dsserver.io/documentprocessing/document/convert?returnFormat=PDF' \
'Content-Type: application/json' \
'Authorization: Bearer GphAd1R0npJM9OuX2y9mUa4cfqPMOg6p' \
'"0M8R4KGxGuEAAAAA[..]="'
# Result:
"JVBERi0xLjQNJeLjz9MNMSAwIG9iago8PAovVH[..]="
Authorization
This endpoint supports the OAuth authorization method. DS Server checks the access token only when OAuth is enabled in the admin portal (see Enable OAuth). With OAuth disabled, the default of a new installation, the endpoint accepts requests without a token.
DS Server implements OAuth as the authorization method. Two flows are supported:
- Authorization Code
- Client Credentials
To use the Client Credentials flow, switch on Allow “Client Credentials” grant type in the security profile (see OAuth Grant Types).
In both cases, a valid access token returned from the OAuth endpoints must be passed in a Bearer Authorization Header, as a Query Parameter or in a Cookie.
Authorization Header
| Header field | Description |
|---|---|
| Authorization | A Bearer authorization header (also called token authentication) contains the OAuth access token. The authorization method and a space i.e. "Bearer " is then put before your valid access token. For example: Authorization: Bearer 4796E23054E64BC773CACBCAF24AD179DE9A3 |
Query Parameter
| Query parameter | Description |
|---|---|
| access_token | The access token is passed directly in the endpoint URL as a query string. For example: ?access_token=4796E23054E64BC773CACBCAF24AD179DE9A3 |
Cookie
| Cookie | Description |
|---|---|
| access_token | The access token is passed in a cookie named access_token. For example: Cookie: access_token=4796E23054E64BC773CACBCAF24AD179DE9A3 |
Request Parameters
| Name | Type | Value | Optional |
|---|---|---|---|
| returnFormat | String | A string that specifies the format of the created document. Possible values are: "PDF", "PDFA", "RTF", "DOC", "DOCX", "HTML", "TX" and "TXT" (plain text). Default value is "PDF". | yes |
| flattenFormFields | Boolean | A boolean value that specifies whether form fields in the document should be replaced by their current content / value. Available since version 3.4.0. Default value is false. | yes |
Request Payload
| Type | Value |
|---|---|
| String | The source document encoded as a Base64 string. Possible document formats are .rtf, .doc, .docx, .html, .pdf and .tx. |
Success Response
| Status | Description |
|---|---|
| 200 | On success, the HTTP status code in the response header is 200 (OK). The response body contains the converted document encoded as a Base64 encoded string. |
Error Response
| Status | Description |
|---|---|
| 401 | A 401 (Unauthorized) with an empty body is returned, if OAuth is enabled and the request has no valid access token. |
| 400 | A 400 (Bad Request) is returned, if the body can't be read as a JSON string ("The JSON value could not be converted to System.String.") or a query parameter has a value of the wrong type, for example flattenFormFields=abc. The body is a problem details object (application/json) with the title "One or more validation errors occurred." and the message per field in errors. This check comes before the license check. |
| 415 | A 415 (Unsupported Media Type) is returned, if the Content-Type header of a request with a body is not application/json. |
| 405 | A 405 (Method Not Allowed) with an empty body and the header Allow: POST is returned for any other HTTP method, for example GET. |
| 400 | A 400 (Bad Request) is returned, if DS Server is not licensed or the license is invalid. On a server that is not registered, the body is the JSON string "DS Server is not registered." (application/json). DS Server checks the license before the parameter values, but after it has read the body and the typed query parameters. |
| 400 | A 400 (Bad Request) is returned, if the uploaded document is not valid. |